summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-08-14 01:42:10 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-08-14 01:42:10 +0000
commitf7c805c96b0fa995102de2f766568f747e5b5bf5 (patch)
tree2c8b3325b988d9a537e19e08f80daa51c99a0344 /dev-python
parenta94ea3b0f0b085c7d37ef4541b267a111697ef2b (diff)
downloadbaldeagleos-repo-f7c805c96b0fa995102de2f766568f747e5b5bf5.tar.gz
baldeagleos-repo-f7c805c96b0fa995102de2f766568f747e5b5bf5.tar.xz
baldeagleos-repo-f7c805c96b0fa995102de2f766568f747e5b5bf5.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/plumbum/files/plumbum-1.7.0-test.patch34
-rw-r--r--dev-python/plumbum/plumbum-1.7.0-r1.ebuild41
-rw-r--r--dev-python/sip/sip-4.19.25.ebuild94
3 files changed, 27 insertions, 142 deletions
diff --git a/dev-python/plumbum/files/plumbum-1.7.0-test.patch b/dev-python/plumbum/files/plumbum-1.7.0-test.patch
deleted file mode 100644
index a79c5f67d18a..000000000000
--- a/dev-python/plumbum/files/plumbum-1.7.0-test.patch
+++ /dev/null
@@ -1,34 +0,0 @@
-diff -r -U2 plumbum-1.7.0.orig/setup.cfg plumbum-1.7.0/setup.cfg
---- plumbum-1.7.0.orig/setup.cfg 2021-02-09 02:46:57.071159800 +0700
-+++ plumbum-1.7.0/setup.cfg 2021-03-15 15:51:13.873287602 +0700
-@@ -66,5 +66,4 @@
-
- [tool:pytest]
--addopts = -v -ra --cov-config=setup.cfg
- norecursedirs = examples experiments
- timeout = 300
-diff -r -U2 plumbum-1.7.0.orig/tests/test_env.py plumbum-1.7.0/tests/test_env.py
---- plumbum-1.7.0.orig/tests/test_env.py 2021-02-09 02:46:46.000000000 +0700
-+++ plumbum-1.7.0/tests/test_env.py 2021-03-15 15:50:18.943289430 +0700
-@@ -14,4 +14,5 @@
- @skip_on_windows
- class TestEnv:
-+ @pytest.mark.skip("Something wrong here")
- def test_change_env(self):
- with local.env(silly=12):
-@@ -23,4 +24,5 @@
- assert len(local.env) == len(actual)
-
-+ @pytest.mark.skip("Something wrong here")
- def test_dictlike(self):
- keys = {x.split("=")[0] for x in printenv().splitlines() if "=" in x}
-diff -r -U2 plumbum-1.7.0.orig/tests/test_local.py plumbum-1.7.0/tests/test_local.py
---- plumbum-1.7.0.orig/tests/test_local.py 2021-02-09 02:46:46.000000000 +0700
-+++ plumbum-1.7.0/tests/test_local.py 2021-03-15 15:50:18.943289430 +0700
-@@ -168,5 +168,5 @@
- assert parts == ("/", "some", "long", "path", "to", "file.txt")
-
-- @pytest.mark.usefixtures("testdir")
-+ @pytest.mark.skip("Something wrong here")
- def test_iterdir(self):
- cwd = local.path(".")
diff --git a/dev-python/plumbum/plumbum-1.7.0-r1.ebuild b/dev-python/plumbum/plumbum-1.7.0-r1.ebuild
index f66bb678a4ee..a5014c44126e 100644
--- a/dev-python/plumbum/plumbum-1.7.0-r1.ebuild
+++ b/dev-python/plumbum/plumbum-1.7.0-r1.ebuild
@@ -2,33 +2,46 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=7
+
PYTHON_COMPAT=( python3_{6,7,8,9,10} )
inherit distutils-r1 optfeature
DESCRIPTION="A library for shell script-like programs in python"
HOMEPAGE="https://plumbum.readthedocs.io/en/latest/ https://github.com/tomerfiliba/plumbum"
-SRC_URI="https://files.pythonhosted.org/packages/ed/ba/431d7f420cd93c4b8ccb15ed8f1c6c76c81965634fd70345af0b19c2b7bc/${P}.tar.gz"
-BDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
- test? ( dev-python/pytest[${PYTHON_USEDEP}]
- dev-python/psutil[${PYTHON_USEDEP}] )"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
LICENSE="MIT"
SLOT="0"
KEYWORDS="amd64 x86"
-IUSE=""
-PATCHES=( "${FILESDIR}"/${PN}-1.7.0-test.patch )
+
+BDEPEND="
+ test? (
+ dev-python/psutil[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ )"
+
distutils_enable_tests pytest
src_prepare() {
+ sed -e '/addopts/d' -i setup.cfg || die
distutils-r1_src_prepare
+}
- # Need sshd running
- rm tests/test_remote.py || die "rm test_remote.py failed"
- rm tests/test_utils.py || die "rm test_utils.py failed"
- rm tests/_test_paramiko.py || die "rm _test_paramiko.py failed"
- # Windows specific
- rm tests/test_putty.py || die "rm test_putty.py failed"
- # Needs sudo without password
- rm tests/test_sudo.py || die "rm test_sudo.py failed"
+python_test() {
+ local deselect=(
+ # Need sshd running
+ tests/test_remote.py
+ tests/test_utils.py
+ # Windows specific
+ tests/test_putty.py
+ # Needs sudo without password
+ tests/test_sudo.py
+ # Wrong assumptions about env handling
+ tests/test_env.py::TestEnv::test_change_env
+ tests/test_env.py::TestEnv::test_dictlike
+ tests/test_local.py::TestLocalPath::test_iterdir
+ )
+ epytest ${deselect[@]/#/--deselect }
}
pkg_postinst() {
diff --git a/dev-python/sip/sip-4.19.25.ebuild b/dev-python/sip/sip-4.19.25.ebuild
deleted file mode 100644
index 8b8940fa6b44..000000000000
--- a/dev-python/sip/sip-4.19.25.ebuild
+++ /dev/null
@@ -1,94 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-inherit python-r1 toolchain-funcs
-
-DESCRIPTION="Python bindings generator for C/C++ libraries"
-HOMEPAGE="https://www.riverbankcomputing.com/software/sip/"
-
-MY_PN=sip
-MY_P=${MY_PN}-${PV/_pre/.dev}
-if [[ ${PV} == *_pre* ]]; then
- SRC_URI="https://dev.gentoo.org/~pesa/distfiles/${MY_P}.tar.gz"
-else
- SRC_URI="https://www.riverbankcomputing.com/static/Downloads/${MY_PN}/${PV}/${MY_P}.tar.gz"
-fi
-
-# Sub-slot based on SIP_API_MAJOR_NR from siplib/sip.h
-SLOT="0/12"
-LICENSE="|| ( GPL-2 GPL-3 SIP )"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ppc ppc64 ~sparc x86"
-IUSE="doc"
-
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-
-DEPEND="${PYTHON_DEPS}"
-RDEPEND="${DEPEND}"
-
-S=${WORKDIR}/${MY_P}
-
-PATCHES=( "${FILESDIR}"/${PN}-4.18-darwin.patch )
-
-src_prepare() {
- # Sub-slot sanity check
- local sub_slot=${SLOT#*/}
- local sip_api_major_nr=$(sed -nre 's:^#define SIP_API_MAJOR_NR\s+([0-9]+):\1:p' siplib/sip.h || die)
- if [[ ${sub_slot} != ${sip_api_major_nr} ]]; then
- eerror
- eerror "Ebuild sub-slot (${sub_slot}) does not match SIP_API_MAJOR_NR (${sip_api_major_nr})"
- eerror "Please update SLOT variable as follows:"
- eerror " SLOT=\"${SLOT%%/*}/${sip_api_major_nr}\""
- eerror
- die "sub-slot sanity check failed"
- fi
-
- default
-}
-
-src_configure() {
- configuration() {
- local incdir=$(python_get_includedir)
- local myconf=(
- "${PYTHON}"
- "${S}"/configure.py
- --sysroot="${ESYSROOT}/usr"
- --bindir="${EPREFIX}/usr/bin"
- --destdir="$(python_get_sitedir)"
- --incdir="${incdir#${SYSROOT}}"
- AR="$(tc-getAR) cqs"
- CC="$(tc-getCC)"
- CFLAGS="${CFLAGS}"
- CFLAGS_RELEASE=
- CXX="$(tc-getCXX)"
- CXXFLAGS="${CXXFLAGS}"
- CXXFLAGS_RELEASE=
- LINK="$(tc-getCXX)"
- LINK_SHLIB="$(tc-getCXX)"
- LFLAGS="${LDFLAGS}"
- LFLAGS_RELEASE=
- RANLIB=
- STRIP=
- )
- echo "${myconf[@]}"
- "${myconf[@]}" || die
- }
- python_foreach_impl run_in_build_dir configuration
-}
-
-src_compile() {
- python_foreach_impl run_in_build_dir default
-}
-
-src_install() {
- installation() {
- emake DESTDIR="${D}" install
- python_optimize
- }
- python_foreach_impl run_in_build_dir installation
-
- einstalldocs
- use doc && dodoc -r doc/html
-}